{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "APPL_CODE"; 
            externalType = VARCHAR2; 
            name = applCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "APPL_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = applCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "APPL_KEY"; 
            externalType = NUMBER; 
            name = applKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "APPL_NOM"; 
            externalType = VARCHAR2; 
            name = applNom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "C_RNE"; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }
    ); 
    attributesUsedForLocking = (applCode, applCommentaire, applKey, applNom, cRne); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EOGarnucheApplication"; 
    classProperties = (
        applCode, 
        applCommentaire, 
        applNom, 
        cRne, 
        toGarnucheAppliDocumentations, 
        toGarnucheAppliOuvertures, 
        toVComposanteScolarite, 
        toVEtablissementScolarite
    ); 
    externalName = "GARNUCHE.GARNUCHE_APPLICATION"; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EOGarnucheApplication"; 
    }; 
    name = "FwkScolarix_GarnucheApplication"; 
    primaryKeyAttributes = (applKey); 
    relationships = (
        {
            destination = "FwkScolarix_GarnucheAppliDocumentation"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = applKey; sourceAttribute = applKey; }); 
            name = toGarnucheAppliDocumentations; 
            numberOfToManyFaultsToBatchFetch = 10; 
        }, 
        {
            destination = "FwkScolarix_GarnucheAppliOuverture"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = applKey; sourceAttribute = applKey; }); 
            name = toGarnucheAppliOuvertures; 
            numberOfToManyFaultsToBatchFetch = 2; 
        }, 
        {
            destination = "FwkScolarix_VComposanteScolarite"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = cRne; }); 
            name = toVComposanteScolarite; 
        }, 
        {
            destination = "FwkScolarix_VEtablissementScolarite"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = cRne; }); 
            name = toVEtablissementScolarite; 
        }
    ); 
}
